%define ALD_Ver		1.2.1

Name:         audacious-plugins

License:      GPL
Summary:      Audacious plugins
Group:        Applications/Multimedia
Version:      3.2.4
Release:      1


Source: %{name}-%{version}.tar.xz
Source1: CROSS.sh
%define DestDir		/Multimedia
# -----------------------------------------------------
%if %{_target_cpu} == %{_build_cpu}
%define _CROSS 0
%else
# rpm --target=x86_64/armv6l/win32 -ba xxxxx.spec
%define _CROSS 1
%endif

%define TO_ARCH %{_target_cpu}

%if %{_target_cpu} == "armv6l"
%define ARM_ARCH armv6zk
%define ARM_FPU  -mfpu=vfp -mfloat-abi=hard
%define TO_ARCH %{ARM_ARCH}
%endif

%if %{_target_cpu} == "armv7l"
%define ARM_ARCH armv7-a
%define ARM_FPU  -mfpu=vfpv3-d16 -mfloat-abi=hard
%define TO_ARCH %{ARM_ARCH}
%endif

%define BUILD_TAR 1
#------------------ CROSS DIR --------------------
%if %{_CROSS}

%if %{_os} == "mingw"
%define target %{_arch}-%{_vendor}-%{_os}%{__isa_bits}
%else  #win32 || win64
%define target %{_arch}-%{_os}%{_gnu}
%endif
%define target_  %{target}-

%define crossdir	/cross
%if %{_arch} == "arm"
%define csysdir		%{crossdir}/%{ARM_ARCH}
%else
%define csysdir		%{crossdir}/%{_target_cpu}
%endif
%define csysbindir	%{csysdir}/bin

%define __os_install_post %{nil}

%define _srcrpmdir	%{_topdir}/SRPMS/tmp

%else  #_CROSS

%define csysbindir	%{_prefix}/bin
%define _srcrpmdir	%{_topdir}/SRPMS/%{ALD_Ver}

%define target %{_build}
%define target_  %{nil}

%endif # !_CROSS

%define docdir %{_defaultdocdir}/%{name}
# ------------------- description ------------------------------------
%description
Audacious plugins
#-------------------------------
%package Skins
Summary:      Audacious Skins
Group:        Applications/Multimedia
%description Skins
Audacious Skins

# ------------------- setup ------------------------------------------
%Prep
%setup -q -n %{name}-%{version}

# ------------------- Build ------------------------------------------
%Build 
%if %{_CROSS}
PATH=%{csysbindir}:$PATH:/opt/perl/bin
GCC_NoHostPath=d
export PATH GCC_NoHostPath
%else
export PATH=$PATH:/opt/perl/bin
%endif

%if %{_arch} == "i386"
OPTFLAGS="-O2 -march=i486 -mpreferred-stack-boundary=2 -falign-functions=1 -falign-jumps=1 -falign-loops=1 -fomit-frame-pointer"
%endif
%if %{_arch} == "x86_64"
OPTFLAGS="-O2 -fno-asynchronous-unwind-tables"
%endif
%if %{_arch} == "arm"
OPTFLAGS="-O2 -march=%{ARM_ARCH} %{ARM_FPU} -munaligned-access"
%endif

CFLAGS="$OPTFLAGS"
LDFLAGS=" "


%if %{_CROSS}
sed -i s:"\`pkg-config ":"\`%{target}-pkg-config ": configure
export PKG_CONFIG_PATH=" "
%endif

%configure \
	--build=%{_build} \
%if %{_CROSS}
	--host=%{target} \
%endif
	--disable-nls \
	--disable-rpath \
	--disable-gtk3 \
	--disable-ipv6 \
	--disable-console \
	--disable-xsf \
	--disable-pulse \
	--disable-psf \
	--disable-songchange \
	--disable-notify \
	--disable-mpris2 \
	--disable-adplug \
	--disable-wavpack \
	--disable-ffaudio \
	--disable-jack \
	--disable-sid \
	--disable-sdlout \
	--disable-amidiplug \
	--disable-scrobbler \
	--disable-neon \
	--disable-mtp_up \
	--disable-bs2b \
	--disable-lyricwiki \
	&>FConfigure_log.txt

#sed -i s:"-I/usr/include":"-I%{csysdir}/usr/include": extra.mk


make V=1 &>FMake_log.txt

# ------------------- Install ----------------------------------------
%Install
%if %{_CROSS}
PATH=%{csysbindir}:$PATH:/opt/perl/bin
GCC_NoHostPath=d
export PATH GCC_NoHostPath
%else
export PATH=$PATH:/opt/perl/bin
%endif

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p %{_srcrpmdir}
mkdir -p $RPM_BUILD_ROOT%{docdir}

make DESTDIR=$RPM_BUILD_ROOT install &>FInstall_log.txt

mv $RPM_BUILD_ROOT%{_datadir}/audacious/Skins/Default $RPM_BUILD_ROOT%{_datadir}/audacious/Skins/Starsidhe
mv $RPM_BUILD_ROOT%{_datadir}/audacious/Skins/Refugee $RPM_BUILD_ROOT%{_datadir}/audacious/Skins/Default

cp AUTHORS COPYING $RPM_BUILD_ROOT%{docdir}/

%if %{_CROSS}
TARGET_PRFIX=%{_prefix}
TARGET_CROSS_PRFIX=%{csysdir}
TARGET_NAME=%{target}
MKCROSSDIR=0
export TARGET_PRFIX TARGET_CROSS_PRFIX TARGET_NAME MKCROSSDIR
%SOURCE1
%endif #_CROSS

%if !%{_CROSS}
if test -f /opt/aldccp/bin/packages_idx; then
  /opt/aldccp/bin/packages_idx -p %{name} -v %{version} $RPM_BUILD_ROOT
fi
%endif

# ------------------- Clean ------------------------------------------
%Clean 
DE=%{version}-%{release}.%{TO_ARCH}.rpm
DD=%{_rpmdir}/%{TO_ARCH}/%{ALD_Ver}%{DestDir}

pushd %{_rpmdir}/%{_target_cpu}
  SE=%{version}-%{release}.%{_target_cpu}.rpm
  mkdir -p $DD
  mv %{name}-$SE $DD/%{name}-$DE
  mv %{name}-Skins-$SE $DD/%{name}-Skins-$DE
popd

# --------------- build *.tgz ------------------------
%if %{BUILD_TAR}
pushd $RPM_BUILD_ROOT
  TMP_TO=$DD/tar
  mkdir -p $TMP_TO
  tmp=%{name}-%{version}-%{release}.%{TO_ARCH}
  mkdir -p $tmp
  cp -r usr $tmp/
  tar -cjf $tmp.tar.bz2 $tmp
  mv $tmp.tar.bz2 $TMP_TO
  rm -r $tmp
popd
%endif  #BUILD_TAR

# ------------------- Files ------------------------------------------
%Files
%{_libdir}/audacious
%{_datadir}/audacious/Skins/Default
%{_datadir}/audacious/ui
%{docdir}

%Files Skins
%{_datadir}/audacious/Skins/Classic
%{_datadir}/audacious/Skins/Classic1.3
%{_datadir}/audacious/Skins/Starsidhe
%{_datadir}/audacious/Skins/Ivory
%{_datadir}/audacious/Skins/Osmosis
%{_datadir}/audacious/Skins/TinyPlayer
